Architektura Prostor

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Space and the translation is 35% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska • ‎українська
Arrow-left.svg Arch Roof.svg Roof Předchozí:
Další: Stairs Arch Stairs.svg Arrow-right.svg

Arch Space.svg Arch Space

Umístění Menu
Architecture → Space
Pracovní stoly
Architektura
Výchozí zástupce
S P
Představen ve verzi
0.14
Viz také
Arch Wall/cs, Arch Structure/cs


Popis

Nástroj Prostor umožňuje definovat prázdný objem, který je buď založen na tělese nebo definován svými hranicemi nebo mixem obou postupů. Je-li založen výhradně na tělese, je objem počítán od ohraničujícího boxu ze všech daných hranic a odečtem prostoru za každou hranicí. Objekt Prostor vždy definuje objem tělesa. Podlahová plocha objektu Prostor, počítaná z průsečíku vodorovné roviny ve středu objemu prostoru, také může být zobrazen, nastavením zobrazovacího módu objektu prostoru na "detailní".

Arch Space example.jpg

Na obrázku výše je objekt prostoru vytvořen z existujícího tělesa, potom jsou přidány dvě plochy zdi jako hranice a mód zobrazení je nasatven na "detailní", aby zobrazoval podlahovou plochu.

Použití

  • Vyberte existující těleso nebo plochy na hraničním objektu
  • Stiskněte tlačítko Arch Space.png Prostor nebo klávesy S a P

Omezení

Vlastnosti

  • DataZáklad: Základový objekt, pokud existuje (musí to být těleso)
  • DataHranice: Seznam volitelných prvků hranic
  • ViewText: The text to show. Use $area, $label, $tag, $floor, $walls, $ceiling to insert the respective data
  • ViewFontName: The name of the font
  • ViewTextColor: The color of the text
  • ViewFontSize: The size of the text
  • ViewFirstLine: The size of the first line of text (multiplies the font size. 1 = same size, 2 = double size, etc..)
  • ViewLineSpacing: The space between the lines of text
  • ViewTextPosition: The position of the text. Leave (0,0,0) for automatic position
  • ViewTextAlign: The justification of the text
  • ViewDecimals: The number of decimals to use for calculated texts
  • ViewShowUnit: Show the unit suffix or not

Options

  • To create zones that group several spaces, use a Arch BuildingPart and set its IFC type to "Spatial Zone"
  • The space object has the same display modes as other Arch and Part objects, with one more, called Footprint, that displays only the bottom face of the space. introduced in version 0.19

Skriptování

Nástroj Prostor může být použit ve skriptech Pythonu a v makrech použitím následující funkce:

Space = makeSpace(objects=None, baseobj=None, name="Space")
  • Vytvoří objekt prostoru ze zadaných objektů.
  • Objekty mohou být jeden dokument objektu, v tomto případě se objekt stane základovým objektem prostoru nebo seznam vvybraných objektů jako návratová hodnota funkce FreeCADGui.Selection.getSelectionEx(), nebo seznam dvojic (objekt, jméno subobjektu).
  • Vrací nově vytvořený objekt prostoru.

Příklad:

import FreeCAD, Arch

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 1000
Box.Width = 1000
Box.Height = 1000

Space = Arch.makeSpace(Box)
Space.ViewObject.LineWidth = 2
FreeCAD.ActiveDocument.recompute()

After a space object is created, selected faces can be added to it with the following code:

import FreeCAD, FreeCADGui, Draft, Arch

points = [FreeCAD.Vector(-500, 0, 0), FreeCAD.Vector(1000, 1000, 0)]
Line = Draft.makeWire(points)
Wall = Arch.makeWall(Line, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

# Select a face of the wall
selection = FreeCADGui.Selection.getSelectionEx()
Arch.addSpaceBoundaries(Space, selection)

Boundaries can also be removed, again by selecting the indicated faces:

selection = FreeCADGui.Selection.getSelectionEx()
Arch.removeSpaceBoundaries(Space, selection)
Arrow-left.svg Arch Roof.svg Roof Předchozí:
Další: Stairs Arch Stairs.svg Arrow-right.svg